Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 674006 (CVE-2018-20450, CVE-2018-20452) - <dev-libs/libxls-1.5.2: Multiple vulnerabilities (CVE-2018-{20450,20452})
Summary: <dev-libs/libxls-1.5.2: Multiple vulnerabilities (CVE-2018-{20450,20452})
Status: RESOLVED FIXED
Alias: CVE-2018-20450, CVE-2018-20452
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2017-12110, CVE-2017-12111, CVE-2017-2896, CVE-2017-2897, CVE-2017-2919
  Show dependency tree
 
Reported: 2018-12-29 16:16 UTC by Melissa Mcdonald
Modified: 2020-03-30 14:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Melissa Mcdonald 2018-12-29 16:16:53 UTC
https://nvd.nist.gov/vuln/detail/CVE-2018-20450:

The read_MSAT function in ole.c in libxls 1.4.0 has a double free that allows attackers to cause a denial of service (application crash) via a crafted file, a different vulnerability than CVE-2017-2897.

https://nvd.nist.gov/vuln/detail/CVE-2018-20452:

The read_MSAT_body function in ole.c in libxls 1.4.0 has an invalid free that allows attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted file, because of inconsistent memory management (new versus free) in ole2_read_header in ole.c.

References:
https://github.com/evanmiller/libxls/issues/34
https://github.com/evanmiller/libxls/issues/35
Comment 1 Yury German Gentoo Infrastructure gentoo-dev 2019-04-27 06:00:06 UTC
Slyfox, please take a look at the two bugs, and advise if fixed or take appropriate actions.
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2020-03-29 08:35:31 UTC
Both are fixed in >=dev-libs/libxls-1.5.2-r1 (lowest available version in ::gentoo).
Comment 3 Sam James archtester gentoo-dev Security 2020-03-29 19:24:00 UTC
(In reply to Sergei Trofimovich from comment #2)
> Both are fixed in >=dev-libs/libxls-1.5.2-r1 (lowest available version in
> ::gentoo).

Excellent, thanks.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2020-03-30 14:54:31 UTC
This issue was resolved and addressed in
 GLSA 202003-64 at https://security.gentoo.org/glsa/202003-64
by GLSA coordinator Thomas Deutschmann (whissi).